OpenVDB: CompoundMap< FirstMapType, SecondMapType > Class Template Reference

OpenVDB 10.0.1

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
CompoundMap< FirstMapType, SecondMapType > Class Template Reference

Creates the composition of two maps, each of which could be a composition. In the case that each component of the composition classified as linear an acceleration AffineMap is stored. More...

`#include <openvdb/math/Maps.h>`

## Public Types
using | MyType = CompoundMap< FirstMapType, SecondMapType >
using | Ptr = SharedPtr< MyType >
using | ConstPtr = SharedPtr< const MyType >

## Public Member Functions
| CompoundMap ()
| CompoundMap (const FirstMapType &f, const SecondMapType &s)
| CompoundMap (const MyType &other)
Name | type () const
bool | operator== (const MyType &other) const
bool | operator!= (const MyType &other) const
MyType & | operator= (const MyType &other)
bool | isIdentity () const
bool | isDiagonal () const
AffineMap::Ptr | getAffineMap () const
const FirstMapType & | firstMap () const
const SecondMapType & | secondMap () const
void | setFirstMap (const FirstMapType &first)
void | setSecondMap (const SecondMapType &second)
void | read (std::istream &is)
void | write (std::ostream &os) const

## Static Public Member Functions
static Name | mapType ()

## Detailed Description

template<typename FirstMapType, typename SecondMapType>
class openvdb::v10_0::math::CompoundMap< FirstMapType, SecondMapType >

Creates the composition of two maps, each of which could be a composition. In the case that each component of the composition classified as linear an acceleration AffineMap is stored.

## Member Typedef Documentation

## ◆ ConstPtr

template<typename FirstMapType , typename SecondMapType >

using ConstPtr = SharedPtr<const MyType>

## ◆ MyType

template<typename FirstMapType , typename SecondMapType >

using MyType = CompoundMap<FirstMapType, SecondMapType>

## ◆ Ptr

template<typename FirstMapType , typename SecondMapType >

using Ptr = SharedPtr<MyType>

## Constructor & Destructor Documentation

## ◆ CompoundMap() [1/3]

template<typename FirstMapType , typename SecondMapType >

CompoundMap | ( |  | ) |
| inline

## ◆ CompoundMap() [2/3]

template<typename FirstMapType , typename SecondMapType >

CompoundMap | ( | const FirstMapType & | f,
|  | const SecondMapType & | s
| ) |  |
| inline

## ◆ CompoundMap() [3/3]

template<typename FirstMapType , typename SecondMapType >

CompoundMap | ( | const MyType & | other | ) |
| inline

## Member Function Documentation

## ◆ firstMap()

template<typename FirstMapType , typename SecondMapType >

const FirstMapType & firstMap | ( |  | ) | const
| inline

## ◆ getAffineMap()

template<typename FirstMapType , typename SecondMapType >

AffineMap::Ptr getAffineMap | ( |  | ) | const
| inline

## ◆ isDiagonal()

template<typename FirstMapType , typename SecondMapType >

bool isDiagonal | ( |  | ) | const
| inline

## ◆ isIdentity()

template<typename FirstMapType , typename SecondMapType >

bool isIdentity | ( |  | ) | const
| inline

## ◆ mapType()

template<typename FirstMapType , typename SecondMapType >

static Name mapType | ( |  | ) |
| inlinestatic

## ◆ operator!=()

template<typename FirstMapType , typename SecondMapType >

bool operator!= | ( | const MyType & | other | ) | const
| inline

## ◆ operator=()

template<typename FirstMapType , typename SecondMapType >

MyType & operator= | ( | const MyType & | other | ) |
| inline

## ◆ operator==()

template<typename FirstMapType , typename SecondMapType >

bool operator== | ( | const MyType & | other | ) | const
| inline

## ◆ read()

template<typename FirstMapType , typename SecondMapType >

void read | ( | std::istream & | is | ) |
| inline

## ◆ secondMap()

template<typename FirstMapType , typename SecondMapType >

const SecondMapType & secondMap | ( |  | ) | const
| inline

## ◆ setFirstMap()

template<typename FirstMapType , typename SecondMapType >

void setFirstMap | ( | const FirstMapType & | first | ) |
| inline

## ◆ setSecondMap()

template<typename FirstMapType , typename SecondMapType >

void setSecondMap | ( | const SecondMapType & | second | ) |
| inline

## ◆ type()

template<typename FirstMapType , typename SecondMapType >

Name type | ( |  | ) | const
| inline

## ◆ write()

template<typename FirstMapType , typename SecondMapType >

void write | ( | std::ostream & | os | ) | const
| inline